Debian Bug report logs - #296643
RFP: libxsd-java -- the Sun XML Datatypes Library

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Eric Lavarde <debian.bugs.nospam@zorglub.s.bawue.de>

Date: Wed, 23 Feb 2005 18:48:02 UTC

Severity: wishlist

Merged with 305228

Done: David Moreno Garza <damog@merkel.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#296643; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Eric Lavarde <debian.bugs.nospam@zorglub.s.bawue.de>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eric Lavarde <debian.bugs.nospam@zorglub.s.bawue.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: libxsdlib-java -- Sun XML Datatypes Library
Date: Wed, 23 Feb 2005 19:49:44 +0100
Package: wnpp
Severity: wishlist


* Package name    : libxsdlib-java
  Version         : 20050210
  Upstream Author : Kohsuke Kawaguchi <kohsuke.kawaguchi@eng.sun.com>
* URL             : https://msv.dev.java.net/
* License         : MIT and Apache 1.1
  Description     : Sun XML Datatypes Library

 Sun XML Datatypes Library, Sun's Java[tm] technology implementation of
 W3C's XML Schema Part 2 (http://www.w3.org/TR/xmlschema-2/), is
 intended for use with applications that incorporate XML Schema Part 2.
 .
 This preview version implements the recommendation version
 (http://www.w3.org/TR/2001/REC-xmlschema-2-20010502/) of the W3C XML
 Schema Part 2 Datatype.
 .
 This product includes software developed by the Apache Software
 Foundation (http://www.apache.org/).

Hi,

I need the library for continuing to package freemind.

Concerning the License, I was not sure, so asked upstream and got the
following answer (with my question quoted):

--- 8< ---

> Hence my question to you: the license to be applied to xsdlib is not
> clear to me. In the package, there is some Sun and some Apache license
> files. Can you please explain to me under which license xsdlib can/has
> to be distributed?


It's a mixture of the apache license and the MIT license. The most of
the code is under the MIT license (see license.txt in the bundle), and a
small portion of it is under the apache license (see
Apache-LICENSE-1.1.txt)

I hope this won't make your life too hard. There are too many licenses
in the world!

--- 8< ---

So true ;-)

Thanks in advance,
Eric

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.10-1-k7
Locale: LANG=en_IE.UTF-8, LC_CTYPE=en_IE.UTF-8 (charmap=UTF-8)



Merged 296643 305228. Request was from Arnaud Vandyck <avdyk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Arnaud Vandyck <avdyk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eric Lavarde <debian.bugs.nospam@zorglub.s.bawue.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 296643-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 296643-done@bugs.debian.org
Subject: WNPP bug closing
Date: Mon, 24 Apr 2006 11:59:37 -0600
Hello,

This is an automatic mail sent to close the ITP you have reported or 
are involved with.

Your ITP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the ITP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 296643
thanks bts

Further comments on the work done in the bug sent to
296643@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Bug reopened, originator not changed. Request was from Eric Lavarde <Eric@Lavar.de> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as "Arnaud Vandyck" <avdyk@debian.org>. Request was from "Arnaud Vandyck" <avdyk@debian.org> to control@bugs.debian.org. (Fri, 11 May 2007 17:00:04 GMT) Full text and rfc822 format available.

Changed Bug title to ITP: libxsd-java -- the Sun XML Datatypes Library from RFP: libxsd-java -- the Sun XML Datatypes Library. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. (Sun, 13 May 2007 09:39:10 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by "Arnaud Vandyck" <avdyk@debian.org>. Request was from "Arnaud Vandyck" <avdyk@debian.org> to control@bugs.debian.org. (Tue, 30 Oct 2007 10:48:01 GMT) Full text and rfc822 format available.

Changed Bug title to `RFP: libxsd-java -- the Sun XML Datatypes Library' from `ITP: libxsd-java -- the Sun XML Datatypes Library'. Request was from "Arnaud Vandyck" <avdyk@debian.org> to control@bugs.debian.org. (Tue, 30 Oct 2007 10:48:02 GMT) Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. (Sat, 01 Nov 2008 18:00:20 GMT) Full text and rfc822 format available.

Notification sent to Eric Lavarde <debian.bugs.nospam@zorglub.s.bawue.de>:
Bug acknowledged by developer. (Sat, 01 Nov 2008 18:00:20 GMT) Full text and rfc822 format available.

Message #31 received at 296643-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 296643-done@bugs.debian.org
Subject: WNPP bug closing
Date: Sat, 01 Nov 2008 11:59:43 -0600
Hello,

This is an automatic mail sent to close the RFP you have reported or 
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

 reopen 296643
 stop

Further comments on the work done in the bug sent to
296643@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 




Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. (Sat, 01 Nov 2008 18:00:20 GMT) Full text and rfc822 format available.

Notification sent to Arnaud Vandyck <avdyk@debian.org>:
Bug acknowledged by developer. (Sat, 01 Nov 2008 18:00:20 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Nov 2008 07:49:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 12:00:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.